
QGIS Application - Bug report #21013

Label orientation changing when zooming

2019-01-16 04:42 PM - Jean Hemmi

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Labelling

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 28832

Description

When changing zoom, label orientation is changing.

In label properties, Orientation depends on a layer variable

Can be a bug or a properties ... ?

It was running fine with QGIS2.18

Version de QGIS 3.4.1-Rév 383851c597 on windows

History

#1 - 2019-01-16 05:49 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you clarify what the actual issue is? The second screenshot looks ok to me.

#2 - 2019-01-22 10:05 PM - Jean Hemmi

- Status changed from Feedback to Open

The issue is label rotatioin change when Zooming. 

In the first zoom F0030NG26 is oriented as attemped (as describe in the field "Orientation".

In the second, the orientation is not OK (not as describe in the layer).

I've omitted to precise that the same issu appear with Geopackage, geojson or shapeile vectors.

#3 - 2019-01-23 10:10 PM - Jean Hemmi

- Assignee set to Nyall Dawson

- File pourorientationqgis.zip added

Here is a project, geopackage and a raster (all are in EPSG 2154)

Orientatioin is OK when it'is // to wine ranks

Probleme is the same on Ubuntu GGIS 3.5.0-Master Révision du code 429cd0bacd
#4 - 2019-01-23 11:44 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

There's no issue here -- the in the zoomed out version, the label has been placed in the only orientation which allows it to fit (from top left to bottom right).

But when zooming in, the label can fit in the "fatter" part of the polygon, so is placed bottom left to top right. This is how QGIS prioritises polygon labels -- it

tries to place the label in the places where there's greatest distance from the label itself to the edges of the polygon (i.e. the "fattest" part of the polygon).

But when it can't (the first screenshot), it falls back to alternate places to try and make the label fit.

#5 - 2019-01-25 09:51 AM - Jean Hemmi

- Status changed from Closed to Reopened

Nyall,

Thanks for your answer that i do understand ! When QGIS3 choose, it'is really efficient !

But I am used to give QGIS a label orientation in properties and QGIS 2 was accepting my demand.

I believe QGIS3 is able to.

#6 - 2019-01-25 06:53 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Jean Hemmi wrote:

Nyall,

Thanks for your answer that i do understand ! When QGIS3 choose, it'is really efficient !

But I am used to give QGIS a label orientation in properties and QGIS 2 was accepting my demand.

I believe QGIS3 is able to.

Please raise this on the users and or developers mailing for wider discussion (before eventually reopening this), thanks!

Files

Label orientation OK at this zoom.png 252 KB 2019-01-16 Jean Hemmi

Label orientation change for F0030NG26 on another zoom.png 178 KB 2019-01-16 Jean Hemmi

pourorientationqgis.zip 1.01 MB 2019-01-23 Jean Hemmi
